#!/usr/bin/perl
use strict; use warnings;
use feature qw( say state );
use CPANPLUS::Dist::Arch qw(dist_pkgname dist_pkgver);
use Module::CoreList;

foreach state $module ( keys %{ $Module::CoreList::version{5.012000} } ) {
	my $pkgname = dist_pkgname( $module );
	my $pkgver;
	if ( $Module::CoreList::version{5.012000}{$module} ) {
		$pkgver = dist_pkgver ($Module::CoreList::version{5.012000}{$module});
	}
	if ( $pkgver ) {
		say $pkgname, '=', $pkgver;
	}
	else {
		say $pkgname;
	}
};
